**Purpose**: Unofficial Bitwarden compatible server written in Rust, formerly known as bitwarden_rs.

```jsx title="docker-compose.yml"
---
version: "2.1"
services:
  vaultwarden:
    image: vaultwarden/server:latest
    container_name: vaultwarden
    environment:
      - TZ=America/Denver
      - INVITATIONS_ALLOWED=false
      - SIGNUPS_ALLOWED=false
      - WEBSOCKET_ENABLED=false
      - ADMIN_TOKEN=REDACTED #PUT A REALLY REALLY REALLY SECURE PASSWORD HERE
    volumes:
      - /srv/containers/vaultwarden:/data
    ports:
      - 80:80
    restart: always
    networks:
        docker_network:
          ipv4_address: 192.168.5.15
#    labels:
#      - "traefik.enable=true"
#      - "traefik.http.routers.vaultwarden.rule=Host(`vault.grymmweeper.com`)"
#      - "traefik.http.routers.vaultwarden.entrypoints=web"
#      - "traefik.http.routers.vaultwarden.tls.certresolver=letsencrypt"
#      - "traefik.http.services.vaultwarden.loadbalancer.server.port=80"
networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```
:::caution
It is **CRITICAL** that you never share the `ADMIN_TOKEN` with anyone.  It allows you to log into the instance at https://vault.example.com/admin to add users, delete users, make changes system wide, etc.
:::

```jsx title=".env"
Not Applicable
```
